Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_TLI Class Reference

Defines the member functions for the base class of the ACE_TLI abstraction. More...

`#include <TLI.h>`

Inheritance diagram for ACE_TLI:

[legend]
Collaboration diagram for ACE_TLI:

[legend]
List of all members.

## Public Methods
ACE_HANDLE | open (const char device[], int oflag=O_RDWR, struct t_info *info=0)
| Initialize a TLI endpoint. More...
int | close (void)
| Close a TLI endpoint and release resources. More...
int | set_option (int level, int option, void *optval, int optlen)
| Set underlying protocol options. More...
int | get_option (int level, int option, void *optval, int &optlen)
| Get underlying protocol options. More...
int | look (void) const
int | rcvdis (struct t_discon *=0) const
int | snddis (struct t_call *=0) const
int | sndrel (void) const
int | rcvrel (void) const
int | get_local_addr (ACE_Addr &) const
| Return our local endpoint address. More...
void | dump (void) const
| Dump the state of an object. More...
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks. More...
## Protected Methods
| ACE_TLI (void)
| Default constructor. More...
| ~ACE_TLI (void)
| Destructor. More...
| ACE_TLI (const char device[], int oflag=O_RDWR, struct t_info *info=0)
| Initialize a TLI endpoint. More...

## Detailed Description

Defines the member functions for the base class of the ACE_TLI abstraction.

## Constructor & Destructor Documentation

ACE_TLI::ACE_TLI | ( | void |  | ) | `[protected]`

| Default constructor.

ACE_TLI::~ACE_TLI | ( | void |  | ) | `[protected]`

| Destructor.

ACE_TLI::ACE_TLI | ( | const char | device[],
|  | int | oflag = O_RDWR,
|  | struct t_info * | info = 0
| ) | `[protected]`

| Initialize a TLI endpoint.

## Member Function Documentation

int ACE_TLI::close | ( | void |  | ) |

| Close a TLI endpoint and release resources. Reimplemented in ACE_TLI_Acceptor, and ACE_TLI_Stream.

void ACE_TLI::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_IPC_SAP. Reimplemented in ACE_TLI_Acceptor, and ACE_TLI_Stream.

int ACE_TLI::get_local_addr | ( | ACE_Addr & | sa | ) | const

| Return our local endpoint address.

int ACE_TLI::get_option | ( | int | level,
|  | int | option,
|  | void * | optval,
|  | int & | optlen
| ) |

| Get underlying protocol options.

ACE_INLINE int ACE_TLI::look | ( | void |  | ) | const

ACE_HANDLE ACE_TLI::open | ( | const char | device[],
|  | int | oflag = O_RDWR,
|  | struct t_info * | info = 0
| ) |

| Initialize a TLI endpoint.

ACE_INLINE int ACE_TLI::rcvdis | ( | struct t_discon * | discon = 0 | ) | const

ACE_INLINE int ACE_TLI::rcvrel | ( | void |  | ) | const

int ACE_TLI::set_option | ( | int | level,
|  | int | option,
|  | void * | optval,
|  | int | optlen
| ) |

| Set underlying protocol options.

ACE_INLINE int ACE_TLI::snddis | ( | struct t_call * | call = 0 | ) | const

ACE_INLINE int ACE_TLI::sndrel | ( | void |  | ) | const

## Member Data Documentation

ACE_TLI::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_IPC_SAP. Reimplemented in ACE_TLI_Acceptor, and ACE_TLI_Stream.

The documentation for this class was generated from the following files:

- TLI.h
- TLI.cpp
- TLI.i